"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const async_function_1 = require("../../libs/async-function");
class JsExec {
    script;
    ignoreVarsBeforeExec = ['script'];
    logger;
    async init(props) {
        if (typeof props === 'string') {
            this.script = props;
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        try {
            this.logger.debugBlock(true);
            const rs = await (0, async_function_1.callFunctionScript)(this.script, this, { logger: this.logger });
            return rs;
        }
        finally {
            this.logger.debugBlock(false);
        }
    }
    async dispose() { }
}
exports.default = JsExec;
//# sourceMappingURL=js.js.map