"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callFunctionScript = void 0;
const variables_manager_1 = require("./../managers/variables-manager");
const AsyncFunction = (async function () { }).constructor;
async function callFunctionScript(script, ctx, others = {}) {
    const args = Object.assign({}, others, {
        vars: variables_manager_1.GlobalVars,
        utils: variables_manager_1.GlobalUtils,
        require,
    });
    const func = new AsyncFunction(...Object.keys(args), script);
    const vl = await func.call(ctx, ...Object.values(args));
    return vl;
}
exports.callFunctionScript = callFunctionScript;
//# sourceMappingURL=async-function.js.map